Daha çox

Ubuntu -da QGIS -in iki versiyası quraşdırılır?

Ubuntu -da QGIS -in iki versiyası quraşdırılır?


Ubuntu 14.04 -də QGIS -in iki versiyasına (2.8.2 və 2.8.10) sahib olmaq istərdim.

SIG sem grilhetas tutorialını istifadə edərək bunu etməyə çalışdım.

Bununla birlikdə, ubuntu 14.04 -də qgis 2.8.2 quraşdırmadı. Artıq qgis quraşdırmışam, amma ən yeni versiya idi (2.8.10). Eyni zamanda kompüterimdə 2.8.2 və 2.8.10 da olmasını istərdim.

Yuxarıdakı dərsləri etdiyim zaman bu səhv mesajı göründü:

CMake Error: Bu layihədə aşağıdakı dəyişənlər istifadə olunur, lakin NOTFOUND olaraq təyin olunur. Zəhmət olmasa bunları qurun və ya CMake fayllarında düzgün qurulduğundan və sınaqdan keçirildiyindən əmin olun: QWTPOLAR_INCLUDE_DIR, dizin/home/clement/dev/cpp/QGIS/src/tətbiqindəki qovluq kimi istifadə olunur. /cpp/QGIS/src/app QWTPOLAR_LIBRARY, qovluqdakı "qgis" hədəfi ilə əlaqələndirilir/home/clement/dev/cpp/QGIS/src/app, "qgis_app" ilə əlaqələndirilir/home/clement/dev/cpp/QGIS/ kataloq/home/clement/dev/cpp/QGIS/tests/src/appdəki "qgis_qgisappclipboard" hədəfi ilə əlaqəli src/tətbiq

Mənə kömək edən varmı?


QGIS indi paralel olaraq cari və uzunmüddətli buraxılış versiyasını təqdim edir.

Https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu saytına görə, depolar

http://qgis.org/debian/ http://qgis.org/debian-ltr/

münaqişələri minimuma endirmək üçün. Ubuntugis hazırda bir az geridədir, yalnız QGIS 2.8.1 təklif edir


Təəssüf ki, hələ də edə bilərsiniz yox Windows istifadəçilərinin OSGEO4W ilə edə biləcəyi kimi hər iki versiyanı paralel olaraq quraşdırın, çünki hər ikisi eyni addan sonra eyni adı və bəzi əlavə paketləri paylaşırlar. Beləliklə, hər ikisini əldə etməyin yeganə yolu, birini başqa (və ya eyni) Ubuntu qonaq sistemi ilə birlikdə virtual qutuya qoymaqdır. Sevdiyiniz versiyada itirdiyiniz əməliyyatları edə, paylaşılan qovluqlarla məlumat və layihə faylları mübadiləsi edə bilərsiniz. Bununla əlaqədar özünüzü narahat hiss edirsinizsə, mütləq paralelləşdirilmiş bir QGIS LTR nümunəsi yaratmaq üçün bir QGIS geliştiricisinə pul ödəyə bilərsiniz. Şübhəsiz ki, bunun üçün ümidsiz olan tək olmayacaqsınız.

ECW və MrSID dəstəyinə gəldikdə, hər ikisi də Ubuntugis platformasında GDAL 1.10 -a yapışdı. Kimsə onları GDAL 1.11-ə bağlamayana qədər bunun üçün heç bir dəstəyiniz yoxdur.


qgis konforlu bir bina qurursanız, istədiyiniz bütün versiyaları qura bilərsiniz və ya quruluş dirindən qurtara və ya fərqli bir yerə quraşdıra bilərsiniz.

Mənim strategiyam LTR -ləri istifadə etməkdirCMAKE_INSTALL_PREFIX =/usr/local/qgis/28 CMAKE_INSTALL_PREFIX =/usr/local/qgis/214

və .bash_aliases -də:

alias qgis-214 = "LD_LIBRARY_PATH =/usr/local/qgis/214/lib/usr/local/qgis/214/bin/qgis $ 1 &"

QGIS cərəyanım paketlərdə yoxdur və master -da quruluş yoxdur.